Bug 12349 - eu_ES: incorrect thousands separator
Summary: eu_ES: incorrect thousands separator
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: 2.27
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-27 11:56 UTC by Julen Ruiz Aizpuru
Modified: 2017-09-12 16:30 UTC (History)
8 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Fixes for thousands separator and first weekday (609 bytes, patch)
2010-12-27 11:56 UTC, Julen Ruiz Aizpuru
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julen Ruiz Aizpuru 2010-12-27 11:56:05 UTC
Created attachment 5169 [details]
Fixes for thousands separator and first weekday

First weekday and first workday is Monday in Spain (and therefore for the eu_ES locale), but the current locale data points to Sunday, which is incorrect. 

Also, the thousands separator is missing (which is a dot '.', U+002E) and grouping has to be done with three digits.

Surprisingly this information has been fixed downstream in several distributions, but the upstream version remains buggy.

The attached patch fixes the mentioned issues.
Comment 1 Ulrich Drepper 2011-05-09 17:46:59 UTC
Where is the reference for this change?
Comment 2 Julen Ruiz Aizpuru 2011-05-09 18:31:45 UTC
First day of week:
http://bisaca.com/BasqueDays.aspx

Thousands separator and grouping:
http://bisaca.com/BasqueCurrency.aspx
Comment 3 Ulrich Drepper 2011-05-10 22:37:30 UTC
(In reply to comment #2)
> First day of week:
> http://bisaca.com/BasqueDays.aspx
> 
> Thousands separator and grouping:
> http://bisaca.com/BasqueCurrency.aspx

Official documents. standards etc.  Everyone can set up a web page and publish their own opinions.
Comment 4 Petr Baudis 2012-06-04 16:27:03 UTC
The first weekday has been fixed now as part of bug 14199. However, we would still need some more references (or acknowledgement by original locale author) for the thousands separator - please see http://sourceware.org/glibc/wiki/Contribution%20checklist#Qualification_.28Locales.29 for some specific hints about what we are looking for. Thanks!
Comment 5 Julen Ruiz Aizpuru 2014-06-27 14:17:13 UTC
I would expect Unicode CLDR to be a valid reference. There you go: http://www.unicode.org/cldr/charts/25/by_type/numbers.symbols.html#Symbols_when_using_Western_Digits_%28latn%29
Comment 6 Carlos O'Donell 2014-06-27 15:33:47 UTC
(In reply to Julen Ruiz Aizpuru from comment #5)
> I would expect Unicode CLDR to be a valid reference. There you go:
> http://www.unicode.org/cldr/charts/25/by_type/numbers.symbols.
> html#Symbols_when_using_Western_Digits_%28latn%29

Agreed, CLDR is a valid reference. In fact I think we should be copying exactly what they do (and we are in other bugs). Since they have far more language experts than we do working on the problem.
Comment 7 keld@keldix.com 2014-06-27 16:07:44 UTC
On Fri, Jun 27, 2014 at 03:33:47PM +0000, carlos at redhat dot com wrote:
> https://sourceware.org/bugzilla/show_bug.cgi?id=12349
> 
> Carlos O'Donell <carlos at redhat dot com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |carlos at redhat dot com
> 
> --- Comment #6 from Carlos O'Donell <carlos at redhat dot com> ---
> (In reply to Julen Ruiz Aizpuru from comment #5)
> > I would expect Unicode CLDR to be a valid reference. There you go:
> > http://www.unicode.org/cldr/charts/25/by_type/numbers.symbols.
> > html#Symbols_when_using_Western_Digits_%28latn%29
> 
> Agreed, CLDR is a valid reference. In fact I think we should be copying exactly
> what they do (and we are in other bugs). Since they have far more language
> experts than we do working on the problem.

Well, I do think we have many more language experts than CLDR.
CLDR is a small group of people, where we have hundreds of experts
in libc-locale. I know for my language Danish that the CLDR data has been
erroneous, and I tried to correct it to no avail at that time.
So I gave up and I do not give too much for their info.

Best regards
Keld
Comment 8 Julen Ruiz Aizpuru 2014-06-29 12:54:36 UTC
(In reply to keld@keldix.com from comment #7)
> On Fri, Jun 27, 2014 at 03:33:47PM +0000, carlos at redhat dot com wrote:
> 
> Well, I do think we have many more language experts than CLDR.
> CLDR is a small group of people, where we have hundreds of experts
> in libc-locale. I know for my language Danish that the CLDR data has been
> erroneous, and I tried to correct it to no avail at that time.
> So I gave up and I do not give too much for their info.

This is funny, because the situation for Basque is the other way round: in libc-locale data for Basque remains erroneous for years, and I tried to correct it. So I'm in the situation of giving up and not giving up too much for its information.

I don't know the people involved in libc-locale, but you say hundreds of experts? Just notice that the first_weekday issue has been there for years (bug 14199), and downstream distributions have had these fixes for a long while too.
Comment 9 keld@keldix.com 2014-06-29 17:20:58 UTC
On Sun, Jun 29, 2014 at 12:54:36PM +0000, julenx at gmail dot com wrote:
> https://sourceware.org/bugzilla/show_bug.cgi?id=12349
> 
> --- Comment #8 from Julen Ruiz Aizpuru <julenx at gmail dot com> ---
> (In reply to keld@keldix.com from comment #7)
> > On Fri, Jun 27, 2014 at 03:33:47PM +0000, carlos at redhat dot com wrote:
> > 
> > Well, I do think we have many more language experts than CLDR.
> > CLDR is a small group of people, where we have hundreds of experts
> > in libc-locale. I know for my language Danish that the CLDR data has been
> > erroneous, and I tried to correct it to no avail at that time.
> > So I gave up and I do not give too much for their info.
> 
> This is funny, because the situation for Basque is the other way round: in
> libc-locale data for Basque remains erroneous for years, and I tried to correct
> it. So I'm in the situation of giving up and not giving up too much for its
> information.
> 
> I don't know the people involved in libc-locale, but you say hundreds of
> experts? Just notice that the first_weekday issue has been there for years (bug
> 14199), and downstream distributions have had these fixes for a long while too.

Well, not so funny then. We need to be productive, and it seems to be a problem
both with us and in CLDR. We just have to work harder.

Best regards
keld
Comment 10 Marko Myllynen 2014-07-01 09:11:46 UTC
Perhaps there are certain locales where glibc is better maintained but in general CLDR looks to have more experts involved. For example, in some cases there are national initiatives which work directly with CLDR. This is not surprising given the vendor independent nature of CLDR. Now that Microsoft has also joined CLDR [1] as contributing partner (alongside with Google, IBM, and others) it certainly looks like CLDR has notable momentum and should not be ignored.

1) http://unicode-inc.blogspot.com/2014/05/cldr-v26-open-for-data-submission.html

Thanks.
Comment 11 keld@keldix.com 2014-07-01 19:58:55 UTC
On Tue, Jul 01, 2014 at 09:11:46AM +0000, myllynen at redhat dot com wrote:
> https://sourceware.org/bugzilla/show_bug.cgi?id=12349
> 
> Marko Myllynen <myllynen at redhat dot com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |myllynen at redhat dot com
> 
> --- Comment #10 from Marko Myllynen <myllynen at redhat dot com> ---
> Perhaps there are certain locales where glibc is better maintained but in
> general CLDR looks to have more experts involved. For example, in some cases
> there are national initiatives which work directly with CLDR. This is not
> surprising given the vendor independent nature of CLDR. Now that Microsoft has
> also joined CLDR [1] as contributing partner (alongside with Google, IBM, and
> others) it certainly looks like CLDR has notable momentum and should not be
> ignored.
> 
> 1)
> http://unicode-inc.blogspot.com/2014/05/cldr-v26-open-for-data-submission.html

Yes, we should not ignore CLDR. But there are also national initiatives
that work directly with ISO on their national conventions, where they do not work
directly with CLDR. CLDR is an American initiative and is very much
dominated by US companies, as you also indicate.

Best regards
keld
Comment 12 Mike Frysinger 2016-04-16 07:37:39 UTC
week settings should be fixed by:
  https://sourceware.org/ml/libc-alpha/2016-04/msg00419.html
Comment 13 Mike Frysinger 2016-04-23 07:10:35 UTC
the week part is in the tree now:
https://sourceware.org/git/?p=glibc.git;a=commit;h=0a410e76f551c6e6cf6d128f618208049d6a952c